import * as types from './actionTypes';
import {beginAjaxCall, ajaxCallError} from './ajaxStatusActions';
import fetch from 'isomorphic-fetch';
import {setCredentials} from '../store/authStore.js';
import {ApiPath} from '../routes';

export function loginSuccess(token) {
  return {
    type: types.LOGIN_SUCCESS, token
  };
}

// thunks:

export function login(username, password) {
  return function (dispatch, getState) {
    dispatch(beginAjaxCall());

    const credentials = `grant_type=password&username=${username}&password=${password}`;

    return fetch(`${ApiPath.Auth}/Token`, {
        method: 'post',
        headers: {
          'Content-Type': 'application/x-www-form-urlencoded'
        },
        body: credentials
      })
      .then(response => response.json())
      .then(response => {
        if(response.error){
          dispatch(ajaxCallError(response.error));
          throw(response.error);
        }
        else{
          setCredentials(response);

          dispatch(loginSuccess(response.access_token));
        }
      });
  };
}