import React, { PropTypes } from 'react';
import CategoryListRow from './CategoryListRow.js';

const CategoryList = ({categories, onSelect}) => {
  return (
    <table className="table table-striped">
      <thead>
      <tr>
        <th>Category Name</th>
        <th>Description</th>
      </tr>
      </thead>
      <tbody>
      {categories.map(category =>
        <CategoryListRow key={category.id} category={category} onSelect={onSelect}/>
        )}
      </tbody>
    </table>
  );
};

CategoryList.propTypes = {
  categories: PropTypes.array.isRequired,
  onSelect: PropTypes.func.isRequired
};

export default CategoryList;
