import React, { PropTypes } from 'react';
import { Link } from 'react-router';
import dotdotdot from 'dotdotdot';
import CategoryModal from './Modal/CategoryModal';

const CategoryListRow = ({category, onSelect}) => {
  return (
    <tr>
      <td>{category.name}</td>
      <td>{category.category}</td>
      <td>
        <button className="btn btn-xs btn-danger pull-right">Delete</button>
        <button name={category.id} onClick={onSelect} className="btn btn-xs btn-warning pull-right" data-toggle="modal" data-target="#editCategory">Edit</button>
      </td>
    </tr>
  );
};

CategoryListRow.propTypes = {
  category: PropTypes.object.isRequired,
    onSelect: PropTypes.func.isRequired
};

export default CategoryListRow;
