import React, {PropTypes} from 'react';
import { Link, IndexLink } from 'react-router';
import LoadingDots from './LoadingDots';

const Header = ({loading, user, logOut}) => {
  return (
    <nav className="navbar navbar-inverse mazdaNav">
          <div className="navbar-header">
            <IndexLink to="/" className="navbar-brand">Mazda</IndexLink>
          </div>
          <div id="navbar">
            <ul className="nav navbar-nav">
              <li><IndexLink to="/" activeClassName="active">Home</IndexLink></li>
              <li><Link to="/courses" activeClassName="active">Courses</Link></li>
              <li><Link to="/users" activeClassName="active">Users</Link></li>
              <li><Link to="/authors" activeClassName="active">Authors</Link></li>
              <li><Link to="/about" activeClassName="active">About</Link></li>
              <li><Link to="/products" activeClassName="active">Products</Link></li>
              <li><Link to="/categories" activeClassName="active">Categories</Link></li>
              {loading && <LoadingDots interval={100} dots={20} />}
            </ul>
            <ul className="nav navbar-nav navbar-right">
              <li className="dropdown">
                <a href="#" className="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">{user}<span className="caret"></span></a>
                <ul className="dropdown-menu" role="menu">
                  <li><a href="#" onClick={logOut}>Log Out</a></li>
                </ul>
              </li>
            </ul>
          </div>
      </nav>
  );
};

Header.propTypes = {
  loading: PropTypes.bool.isRequired,
  user: PropTypes.string,
  logOut: PropTypes.func
};

export default Header;
