import React, {PropTypes} from 'react';

const GenericRowGenerator = ({item, itemDisplayGenerator, itemKeyExtractor, onSelect, selected}) => {
    let selectedStyle = {};
    if(selected)
    {
        selectedStyle = {
            backgroundColor: "#343b3f",
            color: "white"   
        };
    }
    return (
        <tr>
            <td className="genericListItemContainer" style={selectedStyle}>
                <div className="genericListItem" onClick={onSelect} name={itemKeyExtractor(item)} style={selectedStyle}>
                    <span name={itemKeyExtractor(item)} className="genericItem">{itemDisplayGenerator(item)}</span>
                </div>
            </td>
        </tr>
    );
};

GenericRowGenerator.propTypes = {
    item: PropTypes.object.isRequired,
    itemDisplayGenerator: PropTypes.func.isRequired,
    itemKeyExtractor: PropTypes.func.isRequired,
    onSelect: PropTypes.func.isRequired,
    selected: PropTypes.bool
};

export default GenericRowGenerator;