import React, {PropTypes}  from 'react';
import bootstrap from 'bootstrap';
import ModalHeader from './ModalHeader';
import ModalBody from './ModalBody';

const Modal = ({id, header, body}) => {
	return(
		<div className="modal fade" id={id} tabIndex="-1" role="dialog" aria-labelledby="myModalLabel">
			<div className="modal-dialog" role="document">
				<div className="modal-content">
					<ModalHeader header={header}/>
					<ModalBody body={body}/>
					<div className="modal-footer">
						<button type="button" className="btn btn-default" data-dismiss="modal">Close</button>
						<button type="button" className="btn btn-primary">Save changes</button>
					</div>
				</div>
			</div>
		</div>
	);
};

Modal.propTypes = {
	id: PropTypes.string.isRequired,
	header: PropTypes.string,
	body: PropTypes.string
};

export default Modal;
