import React , {PropTypes} from 'react';

const ProductForm = ({product, onChange}) => {
  return (
    <form>
      <div className="row">
        <div className="col-md-3">
          <label>Product Name</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control" name="name" value={product.name} onChange={onChange}/>
        </div>
      </div><br/>
      <div className="row">
        <div className="col-md-3">
        <label>Category</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control" name="category" value={product.category} onChange={onChange}/>
        </div>
      </div><br/>
      <div className="row">
        <div className="col-md-3">
          <label>Dealer Price</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control" name="dealerPrice" value={product.dealerPrice} onChange={onChange}/>
        </div>
      </div><br/>
      <div className="row">
        <div className="col-md-3">
          <label>SRP</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control" name="srp" value={product.srp} onChange={onChange}/>
        </div>
      </div><br/>
      <div className="row">
        <div className="col-md-3">
          <label>Description</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control" name="description" value={product.description} onChange={onChange}/>
        </div>
      </div>
    </form>
  );
};

ProductForm.propTypes = {
  product: React.PropTypes.object.isRequired,
  onChange: React.PropTypes.func.isRequired
};


export default ProductForm;
