import React, { PropTypes } from 'react';
import ProductListRow from './ProductListRow.js';

const ProductList = ({products, onSelect}) => {
  return (
    <table className="table table-striped">
      <thead>
      <tr>
        <th>Product Name</th>
        <th>Category</th>
        <th>Dealer Price</th>
        <th>SRP</th>
        <th>Description</th>
        <th></th>
      </tr>
      </thead>
      <tbody>
      {products.map(product =>
          <ProductListRow key={product.id} product={product} onSelect={onSelect}/>
      )}
      </tbody>
    </table>
  );
};

ProductList.propTypes = {
  products: PropTypes.array.isRequired
};

export default ProductList;
