import React, { PropTypes } from 'react';
import { Link } from 'react-router';
import dotdotdot from 'dotdotdot';
import ProductModal from './Modal/ProductModal';

const ProductListRow = ({product, onSelect}) => {
  return (
    <tr>
      <td>{product.name}</td>
      <td>{product.category}</td>
      <td>{product.dealerPrice}</td>
      <td>{product.srp}</td>
      <td>{product.description}</td>
      <td>
        <button name={product.id} onClick={onSelect} className="btn btn-xs btn-warning pull-right" data-toggle="modal" data-target="#editProduct">Edit</button>&nbsp;
        <button className="btn btn-xs btn-danger pull-right">Delete</button>
      </td>
    </tr>
  );
};

ProductListRow.propTypes = {
  product: PropTypes.object.isRequired,
  onSelect: PropTypes.func.isRequired
};

export default ProductListRow;
