import React, { PropTypes } from 'react';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import * as userActions from '../../actions/userActions';
import {browserHistory} from 'react-router';
import GenericList from '../common/List/GenericList';
import {ExtractIdFromObject} from '../common/Tools/Utility';
import UserForm from './UserForm';

class UsersPage extends React.Component {
  constructor(props, context) {
    super(props, context);
    this.state = {
        selectedUser: {}
    };

    this.redirectToAddUserPage = this.redirectToAddUserPage.bind(this);
    this.onSearch = this.onSearch.bind(this);
    this.onSelect = this.onSelect.bind(this);
  }

  redirectToAddUserPage() {
    browserHistory.push('/user');
  }

  userDisplayGenerator(user) {
      return user.username;
  }

  onSearch(event) {

  }

  onSelect(event) {
      const id = event.target.attributes.name.value;
      this.context.router.push(`/user/${id}`);
  }

  render () {
  //  debugger;
    const {users} = this.props;
    const {selectedUser} = this.state;
    return (
      <div clasName="col-md-12">
            <div className="col-sm-3">
                <GenericList
                    label="Users"
                    id="userList"
                    items={users}
                    itemKeyExtractor={ExtractIdFromObject}
                    itemDisplayGenerator={this.userDisplayGenerator}
                    onSelect={this.onSelect}
                    onSearch={this.onSearch}
                    selectedItem={this.state.selectedUser}
                    heightDeduction="55"
                    />
                <div>
                    <button className="btn btn-sm btn-primary pull-right">Add</button>
                </div>
            </div>
            <div className="col-md-9">

            </div>
      </div>
    );
  }
}

UsersPage.propTypes = {
  users: PropTypes.array.isRequired,
  actions: PropTypes.object.isRequired
};

UsersPage.contextTypes = {
  router: PropTypes.object
};

function mapStateToProps(state, ownProps) {
 // debugger;
  return {
    users: state.users   /* users maps to the root reducers users*/
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators(userActions, dispatch)
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(UsersPage);
