import React from 'react';
import {Route, IndexRoute} from 'react-router';
import App from './components/App';
import HomePage from './components/home/HomePage';
import AboutPage from './components/about/AboutPage';
import ContactPage from './components/contact/ContactPage';
import CoursesPage from './components/course/CoursesPage';
import ManageCoursePage from './components/course/ManageCoursePage'; //eslint-disable-line import/no-named-as-default
import UsersPage from './components/user/UsersPage';
import ManageUserPage from './components/user/ManageUserPage'; //eslint-disable-line import/no-named-as-default
import AuthorsPage from './components/authors/AuthorsPage';
import ProductsPage from './components/products/ProductsPage';
import CategoriesPage from './components/categories/CategoriesPage';
import LogInPage from './components/login/LogInPage'; //eslint-disable-line import/no-named-as-default

export default (
  <Route path="/" component={App}>
    <IndexRoute component={HomePage} />
    <Route path="courses" component={CoursesPage} />
    <Route path="course" component={ManageCoursePage} />
    <Route path="course/:id" component={ManageCoursePage} />
    <Route path="users" component={ManageUserPage} />
    <Route path="user" component={ManageUserPage} />
    <Route path="user/:id" component={ManageUserPage} />
    <Route path="authors" component={AuthorsPage} />
    <Route path="about" component={AboutPage} />
    <Route path="contact" component={ContactPage} />
    <Route path="products" component={ProductsPage} />
    <Route path="categories" component={CategoriesPage} />
    <Route path="login" component={LogInPage} />
  </Route>
);

export const ApiPath  = {
    API: 'http://baitstsv022:100',
    Auth: 'http://baitstsv022:100'
};