import {createStore, applyMiddleware, compose} from 'redux';
import rootReducer from '../reducers/rootReducer';
import reduxImmutableStateInvariant from 'redux-immutable-state-invariant';
import thunk from 'redux-thunk';

export default function configureStore(initialState) {
  return createStore(
    rootReducer,
    initialState,
    compose(
    applyMiddleware(thunk, reduxImmutableStateInvariant() /*add other middle ware*/),
    window.devToolsExtension ? window.devToolsExtension() : f => f)
  );
}
