/*eslint-disable no-console */
import webpack from 'webpack';
import webpackConfig from '../webpack.config.deploy';
import colors from 'colors';

console.log('Generating minified bundle for pdocution via Webpack. This will take a moment...'.blue);

webpack(webpackConfig).run((err,stats) => {
  if (err) {
    console.log(err.bold.red);
    return 1;
  }

  const jsonStats = stats.toJson();

  if (jsonStats.hasErrors) {
    return jsonStats.errors.map(error => console.log(error.red));
  }

  if (jsonStats.hasWarnings) {
    console.log('Webpack generated the following warnings: '.bold.yellow);
    return jsonStats.errors.map(warning => console.log(warning.yellow));
  }

  console.log(`Webpack stats: ${stats}`);

  console.log('Your app has been compiled in production mode and written to baitstsv022:100. It\'s ready to roll!'.green);

  return 0;
});
